package com.dayou.service;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.entity.ProductionOutWarehouse;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ProductionOutWarehouseApplyVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 产品提前出库申请 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-12
 */
public interface IProductionOutWarehouseService extends IService<ProductionOutWarehouse> {

        Page<ProductionOutWarehouse> selectPage(Page page,ProductionOutWarehouse productionOutWarehouse,String keyword);

        ProductionOutWarehouse detail(Long id);

        Boolean add(TaskRecordDTO<ProductionOutWarehouse> taskRecordDTO);

        Boolean update(TaskRecordDTO<ProductionOutWarehouse> taskRecordDTO);

        Boolean delete(Long id);

        List<ProductionOutWarehouseApplyVO> getList(Long id);
        Boolean cancel(Long id);

    List<ProductionOutWarehouseApplyVO> getListByBizTypeProductionId(String businessType, Long productionId);

        List<ProductionOutWarehouseApplyVO> getPersonalByOrderId(Long orderId);
}
